# PhasicFlow: src/phasicFlow/streams/iStream/iOstream.hpp File Reference

iOstream.hpp File Reference
Include dependency graph for iOstream.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | iOstream

## Namespaces

| pFlow

## Typedefs

typedef iOstream &(* | iOstreamManip) (iOstream &)

## Functions

iOstream & | operator<< (iOstream &os, iOstreamManip f)
iOstream & | operator<< (iOstream &os, IOstreamManip f)
iOstream & | indent (iOstream &os)
iOstream & | incrIndent (iOstream &os)
iOstream & | decrIndent (iOstream &os)
iOstream & | flush (iOstream &os)
iOstream & | endl (iOstream &os)
iOstream & | beginBlock (iOstream &os)
iOstream & | endBlock (iOstream &os)
iOstream & | endEntry (iOstream &os)
iOstream & | operator<< (iOstream &os, const char c)
iOstream & | operator<< (iOstream &os, const char *buf)
iOstream & | operator<< (iOstream &os, const word &w)
iOstream & | operator<< (iOstream &os, const int64 &val)
iOstream & | operator<< (iOstream &os, const int32 &val)
iOstream & | operator<< (iOstream &os, const int16 &val)
iOstream & | operator<< (iOstream &os, const int8 &val)
iOstream & | operator<< (iOstream &os, const label &val)
iOstream & | operator<< (iOstream &os, const uint32 &val)
iOstream & | operator<< (iOstream &os, const uint16 &val)
iOstream & | operator<< (iOstream &os, const float &val)
iOstream & | operator<< (iOstream &os, const double &val)

## Variables

const char * | defaultColor = "\033[0m"
const char * | blackColor = "\033[30m"
const char * | redColor = "\033[31m"
const char * | greenColor = "\033[32m"
const char * | yellowColor = "\033[33m"
const char * | blueColor = "\033[34m"
const char * | magentaColor = "\033[35m"
const char * | cyanColor = "\033[36m"
const char * | whiteColor = "\033[37m"
const char * | boldChar = "\033[1m"
constexpr char | tab = '\t'
constexpr char | nl = '\n'

## Variable Documentation

## defaultColor

const char* defaultColor = "\033[0m"

inline

Definition at line 31 of file iOstream.hpp.

Referenced by pFlow::PFtoVTK::convertIntTypesPointField(), pFlow::PFtoVTK::convertRealTypePointField(), pFlow::PFtoVTK::convertRealx3TypePointField(), pFlow::TSFtoVTK::convertRealx3TypetriSurfaceField(), pFlow::PFtoVTK::convertTimeFolderPointFields(), pFlow::PFtoVTK::convertTimeFolderPointFieldsSelected(), and Timer::write().

## blackColor

const char* blackColor = "\033[30m"

inline

Definition at line 32 of file iOstream.hpp.

## redColor

const char* redColor = "\033[31m"

inline

Definition at line 33 of file iOstream.hpp.

## greenColor

const char* greenColor = "\033[32m"

inline

Definition at line 34 of file iOstream.hpp.

Referenced by pFlow::PFtoVTK::convertIntTypesPointField(), pFlow::PFtoVTK::convertRealTypePointField(), pFlow::PFtoVTK::convertRealx3TypePointField(), pFlow::TSFtoVTK::convertRealx3TypetriSurfaceField(), and Timer::write().

## yellowColor

const char* yellowColor = "\033[33m"

inline

Definition at line 35 of file iOstream.hpp.

Referenced by pFlow::PFtoVTK::convertTimeFolderPointFields(), pFlow::PFtoVTK::convertTimeFolderPointFieldsSelected(), and Timer::write().

## blueColor

const char* blueColor = "\033[34m"

inline

Definition at line 36 of file iOstream.hpp.

## magentaColor

const char* magentaColor = "\033[35m"

inline

Definition at line 37 of file iOstream.hpp.

## cyanColor

const char* cyanColor = "\033[36m"

inline

Definition at line 38 of file iOstream.hpp.

## whiteColor

const char* whiteColor = "\033[37m"

inline

Definition at line 39 of file iOstream.hpp.

## boldChar

const char* boldChar = "\033[1m"

inline

Definition at line 41 of file iOstream.hpp.

Referenced by Timer::write().